import PIL.Image as im # module a telecharger en plus de Python
import numpy as np     # module a telecharger en plus de Python (mais parfois inclus)
from math import *
from flexagones import *

print('les modeles possibles sont les suivants :')
print(' 3 faces : modele 3')
print(' 4 faces : modele 4')
print(' 5 faces : modele 5')
print(' 6 faces : modele 6a')
print('               ou 6b')
print('               ou 6c')
print(' 7 faces : modele 7a')
print('               ou 7b')
rep="r"
repons=['3','4','5','6a','6b','6c','7a','7b','6A','6B','6C','7A','7B']
while not(rep in repons):
    rep=input('Quel modele ? ')
nbTriang=int(rep[0])

# utilisation des images presentes dans le repertoire, renommage et recadrage :
nb_fic,nb_col,nb_lig,probleme,messProb=recadrage_images()
if probleme:print(messProb)
else:print('je dispose de',nb_fic,'images au format',str(nb_col)+'x'+str(nb_lig),'pour creer le flexagone')
h=nb_col//2  # h =longueur d'un cote (= longueur de la base horizontale)
v=nb_lig//2-1  # v = hauteur d'un triangle
hh=30 # marge haut bas gauche et droite
centre=[[v//3,h],[2*v//3,3*h//2],[4*v//3,3*h//2],[5*v//3,h],[4*v//3,h//2],[2*v//3,h//2]] # centres des 6 triangles

hauteur,longueur,nbTri1,nbTri2,coin,imag=patron(rep,v,h,hh)

manque_images=False
if nb_fic<nbTriang:
    print('pour faire un '+str(nbTriang)+'-flex, il va manquer',nbTriang-nb_fic,'images')
else:
    hauteur,longueur=int(hauteur+.1),int(longueur+0.1)
    patron1=np.zeros([hauteur,longueur,3])
    patron1[:,:]=[255,255,255] # tout blanc
    patron2=np.zeros([hauteur,longueur,3])
    patron2[:,:]=[255,255,255] # tout blanc
    face=[OuvrirImage('facexzt8hk2v'+str(i)+'.jpg') for i in range(nbTriang)] # nbTriang images : face0.jpg a face???.jpg
    
    import os
    for i in range(nb_fic):
        os.remove('facexzt8hk2v'+str(i)+'.jpg')
    
    booleen=0 # False pour une base de triangle en haut, True pour bas
    print('creation des', nbTri1,' triangles')
    for i in range(nbTri1): # remplissage des 18 1ers triangles
        print(i)
        placerSousCoin(coin[i][0],int(coin[i][1]),imag[i][0],imag[i][1],imag[i][2],v,h,centre,face,patron1,booleen)
        booleen=1-booleen
    print('creation des', nbTri2,' triangles')
    for i in range(nbTri1,nbTri1+nbTri2): # remplissage des 18 1ers triangles
        print(i)
        placerSousCoin(coin[i][0],int(coin[i][1]),imag[i][0],imag[i][1],imag[i][2],v,h,centre,face,patron2,booleen)
        booleen=1-booleen
############################################################################################################
AfficherImage(patron1,'recto.png')
AfficherImage(patron2,'verso.png')
